"use strict";
this.author    = "Zafrusteria";
this.copyright = "© 2024 Zafrusteria.";
this.license   = "Creative Commons: attribution, non-commercial,  CC BY-NC-SA 4.0 sharealike with clauses - see License.txt";
this.version   = "0.5";
this.name        = "ShrewsRights_death";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "Adds one last message when the antishrew extremists die.";

this.$includeRole = "sr_extremist"; // From shipdata.plist

this.$debug = false;

// These functions ware a copy/paste from deathcomms by phkb with some changes for ShrewsRights.

this.startUpComplete = function _ShrewsRights_startUpComplete() {
    // Add "sr_extremist" for the list Death comms ignores.
    if (worldScripts.DeathComms) worldScripts.DeathComms._excludeRoles.push(this.$includeRole);
}

this.shipSpawned = function _ShrewsRights_shipSpawned(ship) {
    if (ship.primaryRole == this.$includeRole) {
         if (this.$debug)
             log(this.name, "ShipSpawned '" + ship.displayName + "' - '" + ship.shipUniqueName + "' - '" + ship.primaryRole + "'");
        // is there an existing script in shipDied?
        // move it to a new spot
        ship.script._dm_shipDied = ship.script.shipDied;
        ship.script.shipDied = this._dm_shipDied;
    }
}

this._dm_shipDied = function _ShrewsRights__dm_shipDied(whom, why) {
    if (this.$debug) log(this.name, "_dm_shipDied '" + this.ship.displayName + "' - '" + this.ship.shipUniqueName);
    if (this.ship.script._dm_shipDied) this.ship.script._dm_shipDied(whom, why);

    if (why != "removed"&& Math.random() > 0.60) {
        if (this.ship.isDerelict == false) {
             if (this.$debug) log(this.name, "ShrewsRights_extremist_beginningAttack - sending comms");
            this.ship.commsMessage(expandDescription("[ShrewsRights_extremist_deathMessage]"), player.ship);
        } else {
             if (this.$debug) log(this.name, "ShrewsRights_Derelict message - sending comms");
            this.ship.commsMessage(expandDescription("[ShrewsRights_extremist_derelictMessage]"), player.ship);
        }
    }
}
